<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>imradon</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="imlogpolar.html">&lt;&lt; imlogpolar</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_b3a0ff2ebb57a346dc30951a6e2cd459.html">Image Transforms</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_4f70f8509a7f440576b73059bcc6829d.html">Image Types and Color Space Conversions &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_b3a0ff2ebb57a346dc30951a6e2cd459.html">Image Transforms</a> &gt; imradon</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">imradon</h1>
    <p class="refpurpose">Calculates the 2D-Radon transform of the matrix</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">[</span><span class="default">RT</span><span class="default">,</span><span class="default">xp</span><span class="default">] = </span><span class="functionid">imradon</span><span class="default"> (</span><span class="default">I</span><span class="default">,</span><span class="default">theta</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">I :</span>
      <dd><p class="para">Image matrix in Scilab</p></dd></dt>
   <dt><span class="term">theta :</span>
      <dd><p class="para">Angles for calculating radon tansform</p></dd></dt>
   <dt><span class="term">RT :</span>
      <dd><p class="para">Matrix of the Radon transform for one of the angles in theta.</p></dd></dt>
   <dt><span class="term">xp :</span>
      <dd><p class="para">Radial coordinates corresponding to each row of RT.</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">Calculates the 2D-Radon transform of the matrix I at angles given
in THETA. To each element of THETA corresponds a column in RT.
The variable XP represents the x-axis of the rotated coordinate.
If THETA is not defined, then 0:179 is assumed.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">I</span> <span class="scilaboperator">=</span> <a class="scilabcommand" href="scilab://zeros">zeros</a><span class="scilabopenclose">(</span><span class="scilabnumber">100</span><span class="scilabdefault">,</span><span class="scilabnumber">100</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">I</span><span class="scilabopenclose">(</span><span class="scilabnumber">25</span><span class="scilabspecial">:</span><span class="scilabnumber">75</span><span class="scilabdefault">,</span> <span class="scilabnumber">25</span><span class="scilabspecial">:</span><span class="scilabnumber">75</span><span class="scilabopenclose">)</span> <span class="scilaboperator">=</span> <span class="scilabnumber">1</span><span class="scilabdefault">;</span>
<span class="scilabopenclose">[</span><span class="scilabid">RT</span><span class="scilabdefault">,</span><span class="scilabid">xp</span><span class="scilabopenclose">]</span> <span class="scilaboperator">=</span> <span class="scilabid">imradon</span><span class="scilabopenclose">(</span><span class="scilabid">I</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">RT</span><span class="scilabdefault">,</span><a class="scilabmacro" href="scilab://hotcolormap">hotcolormap</a><span class="scilabopenclose">(</span><span class="scilabnumber">64</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="imhough.html" class="link">imhough</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="imlogpolar.html">&lt;&lt; imlogpolar</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_b3a0ff2ebb57a346dc30951a6e2cd459.html">Image Transforms</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="section_4f70f8509a7f440576b73059bcc6829d.html">Image Types and Color Space Conversions &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
